List app revisions
curl --request GET \
--url https://cloud-api.phala.com/api/v1/apps/{app_id}/revisionsimport requests
url = "https://cloud-api.phala.com/api/v1/apps/{app_id}/revisions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cloud-api.phala.com/api/v1/apps/{app_id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revisions": [
{
"revision_id": "<string>",
"app_id": "<string>",
"vm_uuid": "<string>",
"compose_hash": "<string>",
"created_at": "<string>",
"trace_id": "<string>",
"operation_type": "<string>",
"triggered_by": {
"object_type": "user",
"id": "usr_0123abcd",
"username": "<string>",
"avatar_url": "<string>"
},
"cvm": {
"vm_uuid": "<string>",
"object_type": "cvm",
"app_id": "<string>",
"name": "<string>"
},
"workspace": {
"id": "<string>",
"name": "<string>",
"object_type": "workspace",
"slug": "<string>",
"avatar_url": "<string>"
}
}
],
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Apps
List app revisions
Returns deployment history with compose hashes, operation types, and user refs.
GET
/
api
/
v1
/
apps
/
{app_id}
/
revisions
List app revisions
Path Parameters
Hex app identifier
Query Parameters
Page number (1-indexed)
Required range:
x >= 1Items per page
Required range:
1 <= x <= 1000Response
Paginated revision list
Was this page helpful?
⌘I

